#!/bin/bash


USERNAME="$(whoami)"
LABEL="Desktop Recovery Utility"
MESSAGE_WELCOME="This program allows you to reset your Desktop configuration to the initial state.\n\n\nDo you want to proceed?"
MESSAGE_SUCESS="Desktop configuration set to the initial state.\n\nRestart your computer or simply logout, to apply the changes."
MESSAGE_NOCHANGES="No changes were made."

GENERAL_FILES_PATH="/etc/skel"
TEACHER_PATH="/var/MultiFolderView/teacher/.centralFolder"
OTHER_USERNAMES_PATH="$GENERAL_FILES_PATH/.centralFolder"
WIDTH=500
HEIGHT=300

zenity --question --title="$LABEL" --text="$MESSAGE_WELCOME" --width $WIDTH --height $HEIGHT
if [ $? -ne 0 ]
then
  zenity --info --title="$LABEL" --text="$MESSAGE_NOCHANGES" --width $WIDTH --height $HEIGHT
  exit 0
fi


#Auto start daemon
mkdir -p /home/"$USERNAME"/.config/autostart/
cp -f  "$GENERAL_FILES_PATH"/.config/autostart/* /home/"$USERNAME"/.config/autostart/
#Copy Configs
rm -rf /home/"$USERNAME"/.config/Screenlets/MultiFolderView/
mkdir -p /home/"$USERNAME"/.config/Screenlets/MultiFolderView/default/
cp -f "$GENERAL_FILES_PATH"/.config/Screenlets/MultiFolderView/default/* /home/"$USERNAME"/.config/Screenlets/MultiFolderView/default/
#Screenlets general config
rm -rf  /home/"$USERNAME"/.screenlets/
cp -r  "$GENERAL_FILES_PATH"/.screenlets /home/"$USERNAME"/

rm -rf /home/"$USERNAME"/.centralFolder/
#Teacher
if [ "$USERNAME" == "teacher" ]
then
	cp -r $TEACHER_PATH /home/"$USERNAME"/
else
	cp -r $OTHER_USERNAMES_PATH /home/"$USERNAME"/
fi

zenity --info --title="$LABEL" --text="$MESSAGE_SUCESS" --width $WIDTH --height $HEIGHT

exit 0
